Generation Framework

## org.eclipse.gmf.tooldef
Interface ToolRegistry

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ToolRegistryImpl

    public interface ToolRegistry

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Tool Registry'.

The following features are supported:

- `Shared Actions`
- `All Menus`
- `Palette`

See Also:
  `GMFToolPackage.getToolRegistry()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList<Menu>` `getAllMenus()` Returns the value of the 'All Menus' containment reference list.
`Palette` `getPalette()` Returns the value of the 'Palette' containment reference
`org.eclipse.emf.common.util.EList<MenuAction>` `getSharedActions()` Returns the value of the 'Shared Actions' containment reference list.
`void` `setPalette(Palette value)` Sets the value of the '`Palette`' containment reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSharedActions

    org.eclipse.emf.common.util.EList<MenuAction> getSharedActions()

  Returns the value of the 'Shared Actions' containment reference list. The list contents are of type `MenuAction`. Instead of placing common actions somewhere in menu hierarchy and referencing them in (2..n) cases, keep them in this central registry and use ItemRef everywhere (i.e. in 1..n cases)

  Returns:
    the value of the 'Shared Actions' containment reference list.
  See Also:
    `GMFToolPackage.getToolRegistry_SharedActions()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.tooldef.MenuAction" containment="true"

### getAllMenus

    org.eclipse.emf.common.util.EList<Menu> getAllMenus()

  Returns the value of the 'All Menus' containment reference list. The list contents are of type `Menu`.

  If the meaning of the 'All Menus' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'All Menus' containment reference list.
  See Also:
    `GMFToolPackage.getToolRegistry_AllMenus()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.tooldef.Menu" containment="true"

### getPalette

    Palette getPalette()

  Returns the value of the 'Palette' containment reference.

  If the meaning of the 'Palette' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Palette' containment reference.
  See Also:
    `setPalette(Palette)`, `GMFToolPackage.getToolRegistry_Palette()`
  ** Generated **
  Model:
    containment="true"

### setPalette

    void setPalette(Palette value)

  Sets the value of the '`Palette`' containment reference.

  Parameters:
    `value` - the new value of the 'Palette' containment reference.
  See Also:
    `getPalette()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.